summaryrefslogtreecommitdiff
path: root/da5-notebooks/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'da5-notebooks/build.sh')
-rw-r--r--da5-notebooks/build.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/da5-notebooks/build.sh b/da5-notebooks/build.sh
new file mode 100644
index 0000000..c389c70
--- /dev/null
+++ b/da5-notebooks/build.sh
@@ -0,0 +1,15 @@
+if [[ -z ${PKG_NAME} ]]; then
+ echo "Conda build has changed out from under you. PKG_NAME is undefined..."
+ exit 1
+fi
+
+pkg_name=$(echo ${PKG_NAME} | tr '-' '_')
+dest="${PREFIX}/share/${pkg_name}"
+usedir="$(pwd)"
+
+if [[ -d ${usedir}/work ]]; then
+ usedir=${usedir}/work
+fi
+
+mkdir -p "${dest}"
+rsync -a "${usedir}"/notebooks/ "${dest}"/